summaryrefslogtreecommitdiffstats
path: root/source/n/cifs-utils/cifs-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/cifs-utils/cifs-utils.SlackBuild')
-rwxr-xr-xsource/n/cifs-utils/cifs-utils.SlackBuild9
1 files changed, 2 insertions, 7 deletions
diff --git a/source/n/cifs-utils/cifs-utils.SlackBuild b/source/n/cifs-utils/cifs-utils.SlackBuild
index c3f94f3fa..3260d00fc 100755
--- a/source/n/cifs-utils/cifs-utils.SlackBuild
+++ b/source/n/cifs-utils/cifs-utils.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cifs-utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,11 +88,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# data_blob.h is only needed for cifs_upcall, which we don't have due
-# to lack of krb5, so let's unfail the build
-zcat $CWD/cifs-utils-6.7-talloc.patch.gz | patch -p1 --verbose || exit 1
-
-# Sigh.
autoreconf -vif
# Configure:
@@ -102,7 +97,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1